// JavaScript Document
var nBtns = 5; //nombre de boutons dans la légende
var onBtns = 0; //nombre de boutons dans la légende affichés

function compteLegendes(Boutons) {

	// décompte des Boutons actifs pour déclencher la visibilité des boutons Afficher et/ou Masquer
	
	if (onBtns == nBtns) {
		
		// Si on atteint le nombre de boutons attendus, on rend actif et visible le bouton Masquer seul.
		
		$("#Stage_Masquer").fadeTo(100, 1);
		$("#Stage_Afficher").fadeTo(100, 0);
	} else if (onBtns == 0) {
		
		// S'il n'y a aucun bouton, on rend actif et visible le bouton Afficher seul.
		
		$("#Stage_Masquer").fadeTo(100, 0);
		$("#Stage_Afficher").fadeTo(100, 1);
	} else {
		
		// Pour les autres situations (ni 0 ni nBtns), on s'assure que les deux boutons Afficher et Masquer sont présents.
		
		$("#Stage_Masquer").fadeTo(100, 1);
		$("#Stage_Afficher").fadeTo(100, 1);
	}
}

$(".C").fadeOut(1000);
$("#Stage_Masquer").hide();
$("#Stage_Masquer").fadeOut(10);
$("#Stage_Masquer").css("display", "none");

$("#Stage_Afficher").show();
$("#Stage_Afficher").css("display", 1);

$("#Stage_Masquer").on(
	"mouseover",
	function () {
		if (onBtns > 0) {
			$("#Stage_Masquer").fadeTo(100, .5);
		}
	}
)

$("#Stage_Masquer").on(
	"mouseout",
	function () {
		if (onBtns > 0) {
			$("#Stage_Masquer").fadeTo(100, 1);
		}
	}
)
$("#Stage_Afficher").on(
	"mouseover",
	function () {
		if (onBtns < nBtns) {
			$("#Stage_Afficher").fadeTo(100, .5);
		}
	}
)

$("#Stage_Afficher").on(
	"mouseout",
	function () {
		if (onBtns < nBtns) {
			$("#Stage_Afficher").fadeTo(100, 1);
		}
	}
)

$("#Stage_L1").on(
	"click",
	function () {

		if ($("#Stage_C1").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C1").fadeToggle(100);
		$("#Stage_C1b").fadeToggle(100);
		$("#Stage_C1c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}
)

$("#Stage_L2").on(
	"click",
	function () {
		if ($("#Stage_C2").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C2").fadeToggle(100);
		$("#Stage_C2b").fadeToggle(100);
		$("#Stage_C2c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}
)

$("#Stage_L3").on(
	"click",
	function () {
		if ($("#Stage_C3").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C3").fadeToggle(100);
		$("#Stage_C3b").fadeToggle(100);
		$("#Stage_C3c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}
)

$("#Stage_L4").on(
	"click",
	function () {
		if ($("#Stage_C4").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C4").fadeToggle(100);
		$("#Stage_C4b").fadeToggle(100);
		$("#Stage_C4c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}
)

$("#Stage_L5").on(
	"click",
	function () {
		if ($("#Stage_C5").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C5").fadeToggle(100);
		$("#Stage_C5b").fadeToggle(100);
		$("#Stage_C5c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}
)

$("#Stage_L6").on(
	"click",
	function () {
		if ($("#Stage_C6").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C6").fadeToggle(100);
		$("#Stage_C6b").fadeToggle(100);
		$("#Stage_C6c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L7").on(
	"click",
	function () {
		if ($("#Stage_C7").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C7").fadeToggle(100);
		$("#Stage_C7b").fadeToggle(100);
		$("#Stage_C7c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L8").on(
	"click",
	function () {
		if ($("#Stage_C8").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C8").fadeToggle(100);
		$("#Stage_C8b").fadeToggle(100);
		$("#Stage_C8c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L9").on(
	"click",
	function () {
		if ($("#Stage_C9").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C9").fadeToggle(100);
		$("#Stage_C9b").fadeToggle(100);
		$("#Stage_C9c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L10").on(
	"click",
	function () {
		if ($("#Stage_C10").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C10").fadeToggle(100);
		$("#Stage_C10b").fadeToggle(100);
		$("#Stage_C10c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L11").on(
	"click",
	function () {
		if ($("#Stage_C11").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C11").fadeToggle(100);
		$("#Stage_C11b").fadeToggle(100);
		$("#Stage_C11c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L12").on(
	"click",
	function () {
		if ($("#Stage_C12").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C12").fadeToggle(100);
		$("#Stage_C12b").fadeToggle(100);
		$("#Stage_C12c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L13").on(
	"click",
	function () {
		if ($("#Stage_C13").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C13").fadeToggle(100);
		$("#Stage_C13b").fadeToggle(100);
		$("#Stage_C13c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L14").on(
	"click",
	function () {
		if ($("#Stage_C14").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C14").fadeToggle(100);
		$("#Stage_C14b").fadeToggle(100);
		$("#Stage_C14c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L15").on(
	"click",
	function () {
		if ($("#Stage_C15").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C15").fadeToggle(100);
		$("#Stage_C15b").fadeToggle(100);
		$("#Stage_C15c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L16").on(
	"click",
	function () {
		if ($("#Stage_C16").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C16").fadeToggle(100);
		$("#Stage_C16b").fadeToggle(100);
		$("#Stage_C16c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L17").on(
	"click",
	function () {
		if ($("#Stage_C17").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C17").fadeToggle(100);
		$("#Stage_C17b").fadeToggle(100);
		$("#Stage_C17c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L18").on(
	"click",
	function () {
		if ($("#Stage_C18").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C18").fadeToggle(100);
		$("#Stage_C18b").fadeToggle(100);
		$("#Stage_C18c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_L19").on(
	"click",
	function () {
		if ($("#Stage_C19").css("display") == "none") {
			onBtns += 1;
		} else {
			onBtns -= 1
		};
		compteLegendes(onBtns);

		$("#Stage_C19").fadeToggle(100);
		$("#Stage_C19b").fadeToggle(100);
		$("#Stage_C19c").fadeToggle(100);
		$("#Stage_Masquer").fadeIn(100);
	}

)

$("#Stage_Afficher").on(
	"click",
	function () {
		$(".C").fadeIn(100);
		onBtns = nBtns;
		compteLegendes(onBtns);

		$("#Stage_Afficher").fadeOut(100);
		$("#Stage_Masquer").fadeIn(100);
		$("#Stage_Masquer").css("display", 1);
	}
)


$("#Stage_Masquer").on(
	"click",
	function () {

		$(".C").fadeOut(100);

		onBtns = 0;
		compteLegendes(onBtns);

		$("#Stage_Afficher").fadeIn(100);
		$("#Stage_Afficher").css("display", 1);
		$("#Stage_Masquer").fadeOut(100);
	}
)